# Class yii\helpers\FormatConverter

Inheritance | yii\helpers\FormatConverter » yii\helpers\BaseFormatConverter
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/helpers/FormatConverter.php

FormatConverter provides functionality to convert between different formatting pattern formats.

It provides functions to convert date format patterns between different conventions.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$juiFallbackDatePatterns | array | The jQuery UI fallback definition to use for the ICU short patterns `short`, `medium`, `long` and `full`. | yii\helpers\BaseFormatConverter
$phpFallbackDatePatterns | array | The php fallback definition to use for the ICU short patterns `short`, `medium`, `long` and `full`. | yii\helpers\BaseFormatConverter

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
convertDateIcuToJui() | Converts a date format pattern from [ICU format][] to [jQuery UI date format][]. | yii\helpers\BaseFormatConverter
convertDateIcuToPhp() | Converts a date format pattern from [ICU format][] to [php date() function format][]. | yii\helpers\BaseFormatConverter
convertDatePhpToIcu() | Converts a date format pattern from [php date() function format][] to [ICU format][]. | yii\helpers\BaseFormatConverter
convertDatePhpToJui() | Converts a date format pattern from [php date() function format][] to [jQuery UI date format][]. | yii\helpers\BaseFormatConverter